Bug 101063 - "Test OpenCL" spreadsheet is useless with locales that use comma as decimal separator
Summary: "Test OpenCL" spreadsheet is useless with locales that use comma as decimal s...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: medium trivial
Assignee: Aron Budea
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks: OpenCL Decimal-Separator-Key
  Show dependency treegraph
 
Reported: 2016-07-21 22:06 UTC by Aron Budea
Modified: 2017-10-27 09:09 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2016-07-21 22:06:28 UTC
The one accessible via:
'Tools -> Options... -> LibreOffice Calc -> Formula -> Detailed Calculation Settings' set to Custom, then 'Details...', then 'Test OpenCL' button.

Because formulas are given like this: "=IF(ABS(C2-D2)<=3e-010,00,1)", the results are Err:509 all over the spreadsheet for me (Hungarian locale, decimal separator is comma).

It doesn't really affect anything, hence the trivial severity, but it would be nice to have separators in functions changed to semicolon.
Comment 1 Tor Lillqvist 2016-07-26 11:21:43 UTC
Aron, are you actually intentionally using that functionality, or did you just want to see what it does (or are you systematically going through all options etc)? 

As I say in my comment in https://gerrit.libreoffice.org/#/c/27450/2 , I am not sure whether that functionality even is of much use any more... The vague idea how it would be used has not really worked out. Would be better to remove unneeded code than to fix small issues in it.
Comment 2 Aron Budea 2016-07-26 15:29:42 UTC
(In reply to Tor Lillqvist from comment #1)

I'm not using it, just found this among the Options when I was investigating bug 101049 (also did that out of curiosity). Indeed it doesn't seem to be much relevant, as it didn't show any issues when something was clearly wrong with a certain OpenCL-calculated formula, see the other bug report.

I have no personal preference, and don't mind having this removed, proceed as you see fit.
Comment 3 Commit Notification 2016-07-27 10:13:54 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d78012872a15cdd0347cbabfc13e03ce5511bf90

tdf#101063: Get rid of the whole "Test OpenCL" functionality while at it

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Timur 2016-08-05 11:54:41 UTC
Please backport to 5.2 and 5.1.
Comment 5 Tor Lillqvist 2016-08-05 12:24:34 UTC
It is in 5.2 (1e0a8a26ce401aa84e065057d09b8a50dcdfc871, https://gerrit.libreoffice.org/27617 ). Not really worth it for 5.1.